<?php

namespace App\Enums;

enum LocationType: string
{
    case Online = 'online';
    case Offline = 'offline';
    case Hybrid = 'hybrid';

    public function label(): string
    {
        return match ($this) {
            self::Online => __('enums.location_type.online'),
            self::Offline => __('enums.location_type.offline'),
            self::Hybrid => __('enums.location_type.hybrid'),
        };
    }
}
